Mailinglist Archive: yast-devel (144 mails)

< Previous Next >
Re: [yast-devel] UI::SetModulename
  • From: Stephan Kulow <coolo@xxxxxxx>
  • Date: Mon, 18 Feb 2008 21:07:11 +0100
  • Message-id: <200802182107.11903.coolo@xxxxxxx>
Am Montag, 18. Februar 2008 schrieb Katarina Machalkova:
Hi Duncan,

packager module does not compile against latest core, pkg-bindings,
anyone has idea where to look? (i commented it to make it work, but why
is it failing?)

ProductLicense.ycp:18 [Interpreter] Symbol 'UI::SetModulename' does not
exist.

Yes, it is because of UI::SetModulename builtin. It has been dropped.
Afair, only yast2-network and Wizard used it, but in turn (almost) every
module uses Wizard. It breaks binary compatibility of .ybc files and that's
why so many modules did not build.

I'm afraid there is a severe reason that that: yast2.rpm can't build because
network requires wizard requires cwm requires network - it's impossible to
bootstrap since

r44468 | mzugec | 2008-02-14 17:35:59 +0100 (Do, 14 Feb 2008) | 2 lines
GeƤnderte Pfade:
M /trunk/yast2/VERSION
M /trunk/yast2/library/wizard/src/Confirm.ycp
M /trunk/yast2/package/yast2.changes

added Confirm::RunningNetwork() for bnc#360571

Greetings, Stephan
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >